<?php

/**
 * Plugin Name: Import Holded Products for WooCommerce
 * Plugin URI: https://www.closemarketing.es
 * Description: Imports Products and data from Holded to WooCommerce.
 * Author: closemarketing
 * Author URI: https://www.closemarketing.net/
 * Version: 0.2
 *
 * @package WordPress
 * Text Domain: import-holded-products-woocommerce
 * Domain Path: /languages
 * License: GNU General Public License version 3.0
 * License URI: http://www.gnu.org/licenses/gpl-3.0.html
 */
defined( 'ABSPATH' ) || exit;
// Loads translation.
load_plugin_textdomain( 'import-holded-products-woocommerce', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
// Includes files.
require_once dirname( __FILE__ ) . '/includes/class-wcpimh-admin.php';
require_once dirname( __FILE__ ) . '/includes/class-wcpimh-import.php';

if ( !function_exists( 'cmk_fs' ) ) {
    // Create a helper function for easy SDK access.
    function cmk_fs()
    {
        global  $cmk_fs ;
        
        if ( !isset( $cmk_fs ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/vendor/freemius/wordpress-sdk/start.php';
            $cmk_fs = fs_dynamic_init( array(
                'id'             => '5133',
                'slug'           => 'import-holded-products-woocommerce',
                'premium_slug'   => 'import-holded-products-woocommerce-pro',
                'type'           => 'plugin',
                'public_key'     => 'pk_248ed62e4388ec19335accdf1822c',
                'is_premium'     => false,
                'premium_suffix' => 'Import Holded Products WooCommerce PRO',
                'has_addons'     => false,
                'has_paid_plans' => true,
                'menu'           => array(
                'slug'           => 'wcpimh-holded',
                'override_exact' => true,
                'first-path'     => 'admin.php?page=wc-settings&tab=products&section=wcpimh-holded',
                'parent'         => array(
                'slug' => 'woocommerce',
            ),
            ),
                'is_live'        => true,
            ) );
        }
        
        return $cmk_fs;
    }
    
    // Init Freemius.
    cmk_fs();
    // Signal that SDK was initiated.
    do_action( 'cmk_fs_loaded' );
    function cmk_fs_settings_url()
    {
        return admin_url( 'admin.php?page=wc-settings&tab=products&section=wcpimh-holded' );
    }
    
    cmk_fs()->add_filter( 'connect_url', 'cmk_fs_settings_url' );
    cmk_fs()->add_filter( 'after_skip_url', 'cmk_fs_settings_url' );
    cmk_fs()->add_filter( 'after_connect_url', 'cmk_fs_settings_url' );
    cmk_fs()->add_filter( 'after_pending_connect_url', 'cmk_fs_settings_url' );
}
